<!-- prettier-ignore-start -->
# Class SalesforcePayPalOrderPayer

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.extensions.payments.SalesforcePayPalOrderPayer](dw.extensions.payments.SalesforcePayPalOrderPayer.md)



Salesforce Payments representation of a PayPal order's payer object. See Salesforce Payments documentation
for how to gain access and configure it for use on your sites.



## Property Summary

| Property | Description |
| --- | --- |
| [emailAddress](#emailaddress): [String](TopLevel.String.md) `(read-only)` | Returns the payer's email address. |
| [givenName](#givenname): [String](TopLevel.String.md) `(read-only)` | Returns the payer's given name. |
| [phone](#phone): [String](TopLevel.String.md) `(read-only)` | Returns the payer's national phone number. |
| [surname](#surname): [String](TopLevel.String.md) `(read-only)` | Returns the payer's surname. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getEmailAddress](dw.extensions.payments.SalesforcePayPalOrderPayer.md#getemailaddress)() | Returns the payer's email address. |
| [getGivenName](dw.extensions.payments.SalesforcePayPalOrderPayer.md#getgivenname)() | Returns the payer's given name. |
| [getPhone](dw.extensions.payments.SalesforcePayPalOrderPayer.md#getphone)() | Returns the payer's national phone number. |
| [getSurname](dw.extensions.payments.SalesforcePayPalOrderPayer.md#getsurname)() | Returns the payer's surname. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### emailAddress
- emailAddress: [String](TopLevel.String.md) `(read-only)`
  - : Returns the payer's email address.


---

### givenName
- givenName: [String](TopLevel.String.md) `(read-only)`
  - : Returns the payer's given name.


---

### phone
- phone: [String](TopLevel.String.md) `(read-only)`
  - : Returns the payer's national phone number.


---

### surname
- surname: [String](TopLevel.String.md) `(read-only)`
  - : Returns the payer's surname.


---

## Method Details

### getEmailAddress()
- getEmailAddress(): [String](TopLevel.String.md)
  - : Returns the payer's email address.

    **Returns:**
    - payer's email address


---

### getGivenName()
- getGivenName(): [String](TopLevel.String.md)
  - : Returns the payer's given name.

    **Returns:**
    - payer's given name


---

### getPhone()
- getPhone(): [String](TopLevel.String.md)
  - : Returns the payer's national phone number.

    **Returns:**
    - payer's national phone number


---

### getSurname()
- getSurname(): [String](TopLevel.String.md)
  - : Returns the payer's surname.

    **Returns:**
    - payer's surname


---

<!-- prettier-ignore-end -->
